#include "../headers/beziPoint3d.h"


Point3d  Point3d::operator * (float s)
{
	Point3d p;
	p.xx=this->xx*s;
	p.yy=this->yy*s;
	p.zz=this->zz*s;

	return p;
}
Point3d  Point3d::operator + (Point3d ss)
{
	Point3d p;
	p.xx=this->xx + ss.xx;
	p.yy=this->yy + ss.yy;
	p.zz=this->zz + ss.zz;
	return p;
}

